/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { Beam } from './beam';
// May contain unused imports in some cases
// @ts-ignore
import { Channels } from './channels';
// May contain unused imports in some cases
// @ts-ignore
import { Polarisation } from './polarisation';
// May contain unused imports in some cases
// @ts-ignore
import { ScanType } from './scan-type';

/**
 * ExecutionBlock captures the Execution Block resources and pipeline configuration required to process an execution block.  :param eb_id: execution block ID :param max_length: maximum length :param context: context :param beams: list of Beams :param scan_types: list of EB scan types :param channels: list of EB channels :param polarisations: list of polarisations
 * @export
 * @interface ExecutionBlock
 */
export interface ExecutionBlock {
    /**
     * 
     * @type {string}
     * @memberof ExecutionBlock
     */
    'eb_id': string;
    /**
     * 
     * @type {number}
     * @memberof ExecutionBlock
     */
    'max_length': number;
    /**
     * 
     * @type {object}
     * @memberof ExecutionBlock
     */
    'context'?: object;
    /**
     * 
     * @type {Array<Beam>}
     * @memberof ExecutionBlock
     */
    'beams': Array<Beam>;
    /**
     * 
     * @type {Array<ScanType>}
     * @memberof ExecutionBlock
     */
    'scan_types': Array<ScanType>;
    /**
     * 
     * @type {Array<Channels>}
     * @memberof ExecutionBlock
     */
    'channels': Array<Channels>;
    /**
     * 
     * @type {Array<Polarisation>}
     * @memberof ExecutionBlock
     */
    'polarisations': Array<Polarisation>;
}

